Subject: BUG: unable to handle kernel paging request in fd_array_map_delete_elem

From: syzbot <[email-masked]>
Date: Wed, 10 Jan 2018 05:17:01 -0800

Hello,

syzkaller hit the following crash on  
b4464bcab38d3f7fe995a7cb960eeac6889bec08
git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/master
compiler: gcc (GCC) 7.1.1 20170620
.config is attached
Raw console output is attached.
Unfortunately, I don't have any reproducer for this bug yet.

IMPORTANT: if you fix the bug, please add the following tag to the commit:
Reported-by: [email-masked]
It will help syzbot understand when the bug is fixed. See footer for  
details.
If you forward the report, please keep this part and the footer.

BUG: unable to handle kernel paging request at ffff88099438d3a0
IP: fd_array_map_delete_elem+0x7b/0x110 kernel/bpf/arraymap.c:418
PGD 8908067 P4D 8908067 PUD 0
Oops: 0002 [#1] SMP KASAN
Dumping ftrace buffer:
    (ftrace buffer empty)
Modules linked in:
CPU: 1 PID: 21352 Comm: syz-executor3 Not tainted 4.15.0-rc7-next-20180110+  
#93
Hardware name: Google Google Compute Engine/Google Compute Engine, BIOS  
Google 01/01/2011
RIP: 0010:fd_array_map_delete_elem+0x7b/0x110 kernel/bpf/arraymap.c:418
RSP: 0018:ffff8801d85378a0 EFLAGS: 00010246
RAX: 00000000fa226cba RBX: ffff8801c3256d00 RCX: ffffffff8181ed75
RDX: 00000000000000dc RSI: ffffc9000237d000 RDI: ffff8801c3256d24
RBP: ffff8801d85378b0 R08: 1ffff1003b0a6e59 R09: 0000000000000002
R10: ffffffff817ed2c1 R11: 0000000000000000 R12: 0000000000000000
R13: ffff8801d9657a41 R14: ffff8801d8537f20 R15: ffff8801c364a5c0
FS:  00007f98750d9700(0000) GS:ffff8801db300000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff88099438d3a0 CR3: 00000001c5715006 CR4: 00000000001626e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
  map_delete_elem kernel/bpf/syscall.c:737 [inline]
  SYSC_bpf kernel/bpf/syscall.c:1814 [inline]
  SyS_bpf+0x22ea/0x4400 kernel/bpf/syscall.c:1782
  entry_SYSCALL_64_fastpath+0x29/0xa0
RIP: 0033:0x452ac9
RSP: 002b:00007f98750d8c58 EFLAGS: 00000212 ORIG_RAX: 0000000000000141
RAX: ffffffffffffffda RBX: 000000000071bea0 RCX: 0000000000452ac9
RDX: 0000000000000010 RSI: 00000000207bbff9 RDI: 0000000000000003
RBP: 000000000000005f R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000212 R12: 00000000006ee988
R13: 00000000ffffffff R14: 00007f98750d96d4 R15: 0000000000000000
Code: fa 48 c1 ea 03 0f b6 14 02 48 89 f8 83 e0 07 83 c0 03 38 d0 7c 04 84  
d2 75 6c 44 39 63 24 76 7a e8 7b 75 ee ff 44 89 e0 45 31 e4 <4c> 87 a4 c3  
d0 00 00 00 4d 85 e4 74 69 e8 63 75 ee ff 48 89 da
RIP: fd_array_map_delete_elem+0x7b/0x110 kernel/bpf/arraymap.c:418 RSP:  
ffff8801d85378a0
CR2: ffff88099438d3a0
---[ end trace bedac69682fc92a6 ]---
Kernel panic - not syncing: Fatal exception
Dumping ftrace buffer:
    (ftrace buffer empty)
Kernel Offset: disabled
Rebooting in 86400 seconds..

---
This bug is generated by a dumb bot. It may contain errors.
See https://goo.gl/tpsmEJ for details.
Direct all questions to [email-masked].

syzbot will keep track of this bug report.
If you forgot to add the Reported-by tag, once the fix for this bug is  
merged
into any tree, please reply to this email with:
#syz fix: exact-commit-title
To mark this as a duplicate of another syzbot report, please reply with:
#syz dup: exact-subject-of-another-report
If it's a one-off invalid bug report, please reply with:
#syz invalid
Note: if the crash happens again, it will cause creation of a new bug  
report.
Note: all commands must start from beginning of the line in the email body.